Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection.srp
Class SrpConverters

    java.lang.Object
      org.springframework.data.redis.connection.convert.Converters
          org.springframework.data.redis.connection.srp.SrpConverters

    public abstract class SrpConverters

extends Converters

SRP type converters

Constructor Summary
`SrpConverters()`

Method Summary
`static Converter<byte[],Double>` | `bytesToDouble()`
`static Converter<byte[],Properties>` | `bytesToProperties()`
`static Converter<byte[],String>` | `bytesToString()`
`static Converter<redis.reply.Reply[],List<Boolean>>` | `repliesToBooleanList()`
`static Converter<redis.reply.Reply[],List<byte[]>>` | `repliesToBytesList()`
`static Converter<redis.reply.Reply[],Map<byte[],byte[]>>` | `repliesToBytesMap()`
`static Converter<redis.reply.Reply[],Set<byte[]>>` | `repliesToBytesSet()`
`static Converter<redis.reply.Reply[],List<String>>` | `repliesToStringList()`
`static Converter<redis.reply.Reply[],Set<RedisZSetCommands.Tuple>>` | `repliesToTupleSet()`
`static List<Boolean>` | `toBooleanList(redis.reply.Reply[] source)`
`static byte[][]` | `toByteArrays(Map<byte[],byte[]> source)`
`static byte[]` | `toBytes(RedisListCommands.Position source)`
`static byte[]` | `toBytes(RedisStringCommands.BitOperation op)`
`static List<byte[]>` | `toBytesList(redis.reply.Reply[] source)`
`static Map<byte[],byte[]>` | `toBytesMap(redis.reply.Reply[] source)`
`static Set<byte[]>` | `toBytesSet(redis.reply.Reply[] source)`
`static DataAccessException` | `toDataAccessException(Exception ex)`
`static Double` | `toDouble(byte[] source)`
`static Properties` | `toProperties(byte[] source)`
`static String` | `toString(byte[] source)`
`static List<String>` | `toStringList(redis.reply.Reply[] source)`
`static List<String>` | `toStringList(String source)`
`static Set<RedisZSetCommands.Tuple>` | `toTupleSet(redis.reply.Reply[] source)`

Methods inherited from class org.springframework.data.redis.connection.convert.Converters
`longToBoolean, stringToDataType, stringToProps, toBit, toBoolean, toDataType, toObjects, toProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SrpConverters

    public SrpConverters()

Method Detail

### repliesToBytesList

    public static Converter<redis.reply.Reply[],List<byte[]>> repliesToBytesList()

### repliesToBytesSet

    public static Converter<redis.reply.Reply[],Set<byte[]>> repliesToBytesSet()

### bytesToProperties

    public static Converter<byte[],Properties> bytesToProperties()

### bytesToDouble

    public static Converter<byte[],Double> bytesToDouble()

### repliesToTupleSet

    public static Converter<redis.reply.Reply[],Set<RedisZSetCommands.Tuple>> repliesToTupleSet()

### repliesToBytesMap

    public static Converter<redis.reply.Reply[],Map<byte[],byte[]>> repliesToBytesMap()

### bytesToString

    public static Converter<byte[],String> bytesToString()

### repliesToBooleanList

    public static Converter<redis.reply.Reply[],List<Boolean>> repliesToBooleanList()

### repliesToStringList

    public static Converter<redis.reply.Reply[],List<String>> repliesToStringList()

### toBytesList

    public static List<byte[]> toBytesList(redis.reply.Reply[] source)

### toBytesSet

    public static Set<byte[]> toBytesSet(redis.reply.Reply[] source)

### toProperties

    public static Properties toProperties(byte[] source)

### toDouble

    public static Double toDouble(byte[] source)

### toTupleSet

    public static Set<RedisZSetCommands.Tuple> toTupleSet(redis.reply.Reply[] source)

### toBytesMap

    public static Map<byte[],byte[]> toBytesMap(redis.reply.Reply[] source)

### toString

    public static String toString(byte[] source)

### toBooleanList

    public static List<Boolean> toBooleanList(redis.reply.Reply[] source)

### toStringList

    public static List<String> toStringList(redis.reply.Reply[] source)

### toBytes

    public static byte[] toBytes(RedisStringCommands.BitOperation op)

### toDataAccessException

    public static DataAccessException toDataAccessException(Exception ex)

### toByteArrays

    public static byte[][] toByteArrays(Map<byte[],byte[]> source)

### toBytes

    public static byte[] toBytes(RedisListCommands.Position source)

### toStringList

    public static List<String> toStringList(String source)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD